# Know How

This is just a collection of information useful for this piece of software.

## CW speed

We make the following assumptions:
- The basic unit for morse code is the **element**.
- A **dot** is *one* element.
- A **dash** is *three* elements.
- A **character** is a sequence of dots and dashes.
- The **space between the dots and dashes within a character** is *one* element.
- A **word** is a sequence of characters. The characters within a word are separated by *three* elements.
- The **space between two words** are *seven* elements.

So let's look of how many elements the word **PARIS** consists:
```
  P = 11 elements + 3 elements
  A =  5 elements + 3 elements
  R =  7 elements + 3 elements
  I =  2 elements + 3 elements
  S =  5 elements + 7 elements
------------------------------
31 + 19 elements = 50 elements
                   ===========
```

If we then send this combination 5 times in 1 minute, we have sent at a rate of 5 WPM. Or **250** elements per minute. If we then take 60 seconds and divide it by these 250 elements we get 0.24 seconds/element. We can then say, at 5 WPM, each Element is **240 ms** in length.

This can then be broken down into a simple formula for calculating WPM based on the length of a single morse code dot.
**WPM = dots/min/25 = 2.4 × dots/sec**

In the case of 1 WPM, the duration of a dot is 60 seconds / 50 dots per minute = 1.2 seconds per dot. Also, for any other speed, we can define the dot length as equal to 1.2 seconds divided by the speed in WPM. Based on the above we can use the following formulas:
- **Speed (WPM) = 1.2 / Dot length (seconds)**
- **Dot length (seconds) = 1.2 / speed (WPM)**